Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00550 Graphics Minor Always Jan 30, 2008, 20:34 Aug 26, 2016, 19:33
Tester Twisty View Status Public Platform
Assigned To crazyc Resolution Fixed OS
Status [?] Resolved Driver atarisy2.cpp
Version 0.114 Fixed in Version 0.177 Build
Summary 00550: apb: There is a graphics problem with your police car at the point you drive away from your starting square.
Description There is a graphics problem with your police car at the point you drive away from your starting square. A large portion of the car is hidden beneath the pavement sprite. This broke in 0.114 btw.

Left is previous build, right is current build

Follow-up by angygod: The sprite issue also appears to be a problem for all of the other vehicles in the game (they also disappear beneath the pavement at times when they are driving around). Noticed this from level 2 onwards. It's probably the same issue as with the police car, but just thought I'd let you all know in case it wasn't.
Steps To Reproduce
Additional Information First regressed 0.114 and fixed 0.114u1
Flags
Regression Version 0.175
Affected Sets / Systems apb
Attached Files
png file icon apb0114gre.png (25,720 bytes) Feb 14, 2008, 14:53
Relationships
has duplicate 06355Closed apb: Graphics issue with Car/Sprites 
Notes
2
User avatar
No.13074
Tafoid
Administrator
Aug 26, 2016, 04:45
edited on: Aug 26, 2016, 04:46
This has re-regressed as of 0.175. Re-Opening

User avatar
No.13076
Tafoid
Administrator
Aug 26, 2016, 04:50
https://github.com/mamedev/mame/commit/74efa92cda3d41bb2c6cbcc64248f0e13f0b1813
Likely offender for regression as interrupt behavior was changed.